### Hierarchy

- IDBObjectStore

## Index

### Properties

- autoIncrement
- indexNames
- keyPath
- name
- transaction

### Methods

- add
- clear
- count
- createIndex
- delete
- deleteIndex
- get
- getAll
- getAllKeys
- getKey
- index
- openCursor
- openKeyCursor
- put

## Properties

### autoIncrement

autoIncrement: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8968

Returns true if the store has a key generator, and false otherwise.

### indexNames

indexNames: DOMStringList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8972

Returns a list of the names of indexes in the store.

### keyPath

keyPath: string | string[]

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8976

Returns the key path of the store, or null if none.

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8982

Updates the name of the store to newName. Throws "InvalidStateError" DOMException if not called within an upgrade transaction.

### transaction

transaction: IDBTransaction

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8986

Returns the associated transaction.

## Methods

### add

- add(value: any, key?: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8987

  #### Parameters

  - ##### value: any

  - ##### Optional key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<IDBValidKey>

### clear

- clear(): IDBRequest<undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8993

  Deletes all records in store. If successful, request's result will be undefined.

  #### Returns IDBRequest<undefined>

### count

- count(key?: IDBValidKey | IDBKeyRange): IDBRequest<number>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8999

  Retrieves the number of records matching the given key or key range in query. If successful, request's result will be the count.

  #### Parameters

  - ##### Optional key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<number>

### createIndex

- createIndex(name: string, keyPath: string | string[], options?: IDBIndexParameters): IDBIndex

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9008

  Creates a new index in store with the given name, keyPath and options and returns a new IDBIndex. If the keyPath and options define constraints that cannot be satisfied with the data already in store the upgrade transaction will abort with a "ConstraintError" DOMException. Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.

  #### Parameters

  - ##### name: string

  - ##### keyPath: string | string[]

  - ##### Optional options: IDBIndexParameters

  #### Returns IDBIndex

### delete

- delete(key: IDBValidKey | IDBKeyRange): IDBRequest<undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9014

  Deletes records in store with the given key or in the given key range in query. If successful, request's result will be undefined.

  #### Parameters

  - ##### key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<undefined>

### deleteIndex

- deleteIndex(name: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9020

  Deletes the index in store with the given name. Throws an "InvalidStateError" DOMException if not called within an upgrade transaction.

  #### Parameters

  - ##### name: string

  #### Returns void

### get

- get(query: IDBValidKey | IDBKeyRange): IDBRequest<any | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9026

  Retrieves the value of the first record matching the given key or key range in query. If successful, request's result will be the value, or undefined if there was no matching record.

  #### Parameters

  - ##### query: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<any | undefined>

### getAll

- getAll(query?: IDBValidKey | IDBKeyRange, count?: undefined | number): IDBRequest<any[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9033

  Retrieves the values of the records matching the given key or key range in query (up to count if given). If successful, request's result will be an Array of the values.

  #### Parameters

  - ##### Optional query: IDBValidKey | IDBKeyRange

  - ##### Optional count: undefined | number

  #### Returns IDBRequest<any[]>

### getAllKeys

- getAllKeys(query?: IDBValidKey | IDBKeyRange, count?: undefined | number): IDBRequest<IDBValidKey[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9040

  Retrieves the keys of records matching the given key or key range in query (up to count if given). If successful, request's result will be an Array of the keys.

  #### Parameters

  - ##### Optional query: IDBValidKey | IDBKeyRange

  - ##### Optional count: undefined | number

  #### Returns IDBRequest<IDBValidKey[]>

### getKey

- getKey(query: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9046

  Retrieves the key of the first record matching the given key or key range in query. If successful, request's result will be the key, or undefined if there was no matching record.

  #### Parameters

  - ##### query: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<IDBValidKey | undefined>

### index

- index(name: string): IDBIndex

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9047

  #### Parameters

  - ##### name: string

  #### Returns IDBIndex

### openCursor

- openCursor(range?: IDBValidKey | IDBKeyRange, direction?: IDBCursorDirection): IDBRequest<IDBCursorWithValue | null>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9053

  Opens a cursor over the records matching query, ordered by direction. If query is null, all records in store are matched. If successful, request's result will be an IDBCursorWithValue pointing at the first matching record, or null if there were no matching records.

  #### Parameters

  - ##### Optional range: IDBValidKey | IDBKeyRange

  - ##### Optional direction: IDBCursorDirection

  #### Returns IDBRequest<IDBCursorWithValue | null>

### openKeyCursor

- openKeyCursor(query?: IDBValidKey | IDBKeyRange, direction?: IDBCursorDirection): IDBRequest<IDBCursor | null>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9059

  Opens a cursor with key only flag set over the records matching query, ordered by direction. If query is null, all records in store are matched. If successful, request's result will be an IDBCursor pointing at the first matching record, or null if there were no matching records.

  #### Parameters

  - ##### Optional query: IDBValidKey | IDBKeyRange

  - ##### Optional direction: IDBCursorDirection

  #### Returns IDBRequest<IDBCursor | null>

### put

- put(value: any, key?: IDBValidKey | IDBKeyRange): IDBRequest<IDBValidKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9060

  #### Parameters

  - ##### value: any

  - ##### Optional key: IDBValidKey | IDBKeyRange

  #### Returns IDBRequest<IDBValidKey>

Generated using TypeDoc